> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all accounts of the current tenant.

> Retrieves the collection of Account resources.



## OpenAPI

````yaml get /tenant/accounts
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /tenant/accounts:
    parameters: []
    get:
      tags:
        - Account
      summary: Get all accounts of the current tenant.
      description: Retrieves the collection of Account resources.
      operationId: getTenantAccounts
      parameters:
        - name: page
          in: query
          description: The collection page number
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 1
          style: form
          explode: false
          allowReserved: false
        - name: limit
          in: query
          description: The number of items per page
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 30
            minimum: 0
            maximum: 100
          style: form
          explode: false
          allowReserved: false
      responses:
        '200':
          description: Account collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Account-AccountDetailsRole'
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: integer
                          itemsPerPage:
                            type: integer
                          currentPage:
                            type: integer
                          lastPage:
                            type: integer
                          pageTotalItems:
                            type: integer
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Account-AccountDetailsRole'
      deprecated: false
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /tenant/accounts \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    Account-AccountDetailsRole:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 01F9Z3ZJXZQZJZJZJZJZJZJZJZ
          type: string
        user:
          $ref: '#/components/schemas/User-AccountDetailsRole'
          readOnly: true
        role:
          readOnly: true
          default: administrator
          example: administrator
          type: string
          enum:
            - administrator
            - account
            - read-only
        createdAt:
          type: string
          format: date-time
        deactivated:
          readOnly: true
          type: boolean
    User-AccountDetailsRole:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 01F9Z3ZJXZQZJZJZJZJZJZJZJZ
          type: string
        firstName:
          minLength: 2
          maxLength: 255
          readOnly: true
          description: The firstname of the user
          example: John
          type: string
        lastName:
          minLength: 2
          maxLength: 255
          readOnly: true
          description: The lastname of the user
          example: Doe
          type: string
        email:
          format: email
          externalDocs:
            url: https://schema.org/email
          type: string
      required:
        - firstName
        - lastName
        - email
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````